import request from '@/utils/request'
// 布控人员的批量导入
export function userControlEarlyWarningListExcel(data) {
  return request({
    url: '/admin/userControlEarlyWarningList/userControlEarlyWarningListExcel',
    method: 'post',
    data
  })
}
// 布控人员列表分页
export function getPageList(data) {
  return request({
    url: '/admin/userControlEarlyWarningList/getPageList',
    method: 'post',
    data
  })
}
// 新增或修改布控
export function addOrUpdate(data) {
  return request({
    url: '/admin/userControlEarlyWarningList/addOrUpdate',
    method: 'post',
    data
  })
}
// 删除布控人员
export function deleteWarning(controlEarlyWarningId) {
  return request({
    url: '/admin/userControlEarlyWarningList/delete',
    method: 'get',
    params:{
      controlEarlyWarningId
    }
  })
}




// 查询预警列表-分页
export function getListLogPageInfo(data) {
  return request({
    url: '/admin/controlEarlyWarningListLog/getListLogPageInfo',
    method: 'post',
    data
  })
}
// 预警信息
export function getListLog(data) {
  return request({
    url: '/admin/controlEarlyWarningListLog/getListLog',
    method: 'get',
    params:data
  })
}

// 预警确认
export function earlyWarningConfirm(id) {
  return request({
    url: '/admin/controlEarlyWarningListLog/earlyWarningConfirm',
    method: 'get',
    params:{
      id
    }
  })
}
// 导出Excel
export function getListLogExcel(data) {
  return request({
    url: '/admin/controlEarlyWarningListLog/getListLogExcel',
    method: 'post',
    responseType: 'blob',
    data
  })
}
